class ScoreCalculatorWorker
  include Sidekiq::Worker
  sidekiq_options queue: :score

  def perform(id, object_class)
    return false unless %w(User LearningObject Collection)

    object = object_class.constantize.find(id)

    score = ScoreCalculatorService.new(object).calculate

    object.update(score: score)
  end
end
